[<<][ecos][>>][..]
Mon Feb 7 09:45:06 EST 2011

Synth target 64bit

Building an eCos synth target program on 64 bit linux I get the following error message:

/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.4.5/libgcc.a when searching for libgcc.a
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.4.5/libgcc.a when searching for libgcc.a
/usr/bin/ld: cannot find libgcc.a
collect2: ld returned 1 exit status
make: *** [/home/tom/git-private/dbb_trailer/build/out/synth/test-spi] Error 1

According to [1] the fix is to "apt-get install g++-multilib"
Verified: works.


[1] http://blog.gnu-designs.com/fix-for-incompatible-libstdc-error-message



[Reply][About]
[<<][ecos][>>][..]